Subject: New 2.0R floppies available for testing on ftp.freebsd.org

From: [email-masked] (Jordan K. Hubbard)
Date: 01 Dec 1994 00:13:11 GMT

In:

	ftp://ftp.freebsd.org/pub/FreeBSD/2.0-RELEASE/floppies/newer/

Please let me know how these floppies work for you!

Note: The boot floppy(s) also contain a new kernel, which you may wish
to copy over your bindist-extracted /kernel.  This kernel is from
FreeBSD-current and fixes the following bug(s):

	pppd sometimes causes panic
	AHA 27xx/28xx controllers don't work in all slots
	AHA 29xx support
	Floppy-tape driver sometimes hosed the floppy controller
	completely.

You can do so by simply doing the following with the appropriate boot
floppy:

	mount /dev/fd0 /mnt
	mv /kernel /kernel.old
	cp /mnt/kernel /
	umount /mnt

You can also get the sources out of -current and build it yourself,
as always.

The installation itself should have the following problems fixed:

	Couldn't install over NFS.

	NFS options incorrectly described.

	UFS installation had subdir bogusly overwritten.

	Floppy installation didn't work at all.

	Floppy-tape controller must now be explicitly
	enabled (see new TROUBLESHOOTING file).

	There was no documentation on how to create a floppy
	or tape installation (thanks, Keith Walker!).

Please report any problems directly to me.  I now have a mechanism set
up whereby I can roll new floppys fairly quickly, even from my home in
Ireland, and I'll do so as often as necessary until the installation
is in a reasonable state for all install methods.  Please also note
that the kernel changes only came along for the ride, and it's not at
all my intention to go into the kernel fixing business - to do so
would only cause us incredibly headaches as we found ourselves unable
to differentiate between bug reports from 2.0R and "2.0R+" users.

Since it takes a deliberate effort to get the new kernel off the
install floppies, I expect people to note as much when reporting bugs
with a -current kernel vs a 2.0R kernel.

Thank you!

					Jordan
--
Jordan K. Hubbard	FreeBSD core team	Clams are your friends